Bug 620412 - Pulp user cli are too confusing with all the username/password options
Pulp user cli are too confusing with all the username/password options
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: z_other (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
Preethi Thomas
: Triaged
Depends On:
Blocks: verified-to-close
  Show dependency treegraph
 
Reported: 2010-08-02 09:27 EDT by Preethi Thomas
Modified: 2011-07-15 15:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-17 11:51:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2010-08-02 09:27:06 EDT
Description of problem:

The cli options for pulp user are too confusing with all the username & password options

User create needs 3 sets of usernames & passwords while the other 2 needs 2.


[root@preethi pulp]# pulp -u admin -p admin user create --help
Usage: pulp -u <username> -p <password> user create [OPTIONS]


Options:
  -h, --help            show this help message and exit
  --newusername=NEWUSERNAME
                        new username to create
  --newpassword=NEWPASSWORD
                        password for authentication
  --name=NAME           name of user for display purposes
  -u USERNAME, --username=USERNAME
                        <REQUIRED> username for access to Pulp.  Default user
                        admin is included with base install.
  -p PASSWORD, --password=PASSWORD
                        <REQUIRED> password for access to Pulp.




[root@preethi pulp]# pulp -u admin -p admin user delete --help
Usage: pulp -u <username> -p <password> user delete [OPTIONS]


Options:
  -h, --help            show this help message and exit
  --deleteusername=DELETEUSERNAME
                        Username of user you wish to delete
  -u USERNAME, --username=USERNAME
                        <REQUIRED> username for access to Pulp.  Default user
                        admin is included with base install.
  -p PASSWORD, --password=PASSWORD
                        <REQUIRED> password for access to Pulp.


[root@preethi pulp]# pulp -u admin -p admin user list --help
Usage: pulp -u <username> -p <password> user list [OPTIONS]


Options:
  -h, --help            show this help message and exit
  -u USERNAME, --username=USERNAME
                        <REQUIRED> username for access to Pulp.  Default user
                        admin is included with base install.
  -p PASSWORD, --password=PASSWORD
                        <REQUIRED> password for access to Pulp.
Comment 1 Mike McCune 2010-10-29 14:48:08 EDT
We revamped how the CLI handles username and password arguments.  can you re-test to see if things are clearer now?
Comment 2 Preethi Thomas 2010-11-04 13:11:17 EDT
yes this looks good now


[root@preethi ~]# pulp-admin user create --help
Usage: pulp-admin <options> user create <options>

Options:
  -h, --help           show this help message and exit
  --username=USERNAME  new username to create (required)
  --password=PASSWORD  password for authentication
  --name=NAME          name of user for display purposes
[root@preethi ~]# pulp-admin user delete --help
Usage: pulp-admin <options> user delete <options>

Options:
  -h, --help           show this help message and exit
  --username=USERNAME  username of user you wish to delete (required)
[root@preethi ~]# pulp-admin user update --help
Usage: pulp-admin <options> user update <options>

Options:
  -h, --help           show this help message and exit
  --username=USERNAME  username of user you wish to edit. Not editable
                       (required)
  --password=PASSWORD  updated password to assign to user
  --name=NAME          updated name of user for display purposes
[root@preethi ~]# 
[root@preethi ~]# 
[root@preethi ~]# 
[root@preethi ~]# 
[root@preethi ~]# 
[root@preethi ~]# pulp-admin user 
Usage: pulp-admin <options> user <action> <options>
Supported Actions:
	list           list available users     
	create         create a user            
	delete         delete a user            
	update         update a user            

pulp-admin: error: no action given: please see --help
[root@preethi ~]# pulp-admin user list --help
Usage: pulp-admin <options> user list <options>

Options:
  -h, --help  show this help message and exit
[root@preethi ~]#
Comment 3 Preethi Thomas 2011-02-17 11:51:54 EST
Closing with community release 

pulp-0.0.139-1.fc14.noarch

Note You need to log in before you can comment on or make changes to this bug.